Author Topic: copy and paste multiple  (Read 63 times)

dgpuertas (+ 1 Hidden) and 1 Guest are viewing this topic.

andi.lad2909

  • Mosquito
  • Posts: 1
copy and paste multiple
« on: July 04, 2022, 03:43:00 AM »
Hello everyone.

I am a new member of this group. Trying to find a lisp code to select the object and then paste it in left and right both direction at given specified distance and given specified times. Please refer attached CAD file for problem statement.

BIGAL

  • Swamp Rat
  • Posts: 989
  • 40 + years of using Autocad
Re: copy and paste multiple
« Reply #1 on: Today at 02:38:22 AM »
This is a excellent task for learning lisp, hope fully others will follow my lead and offer how to do it not code. I will talk about not using the array command.

Select a object use (entsel you can also get the selection point at same time Pt.
how many (getint
Distance apart (getdist or (getreal
(repeat howmany
Use (polar pt angle distance) to work out a new point
Copy object pt to newpt
set pt to newpt
end repeat

The use of a -ve distance will make the object go left if say simple circle.

Try Afralisp tutorials as a start or just Google say "getint lisp autocad" look up other commands.

Once you have 1 side working can then look at 2 sides.

A man who never made a mistake never made anything